# $Revision: 1.12 $, $Date: 2010/04/21 17:09:36 $
Summary:	Tool for easily maintaining remote web sites
Summary(pl.UTF-8):	Narzędzie do łatwego utrzymywania zdalnych serwisów WWW
Name:		sitecopy
Version:	0.16.6
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.manyfish.co.uk/sitecopy/%{name}-%{version}.tar.gz
# Source0-md5:	b3aeb5a5f00af3db90b408e8c32a6c01
Patch0:		%{name}-neon.patch
URL:		http://www.manyfish.co.uk/sitecopy/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	heimdal-devel
BuildRequires:	neon-devel
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sitecopy allows you to easily maintain remote Web sites. The program
will upload files to the server which have changed locally, and delete
files from the server which have been removed locally, to keep the
remote site synchronized with the local site, with a single command.
sitecopy will also optionally try to spot files you move locally, and
move them remotely. FTP and WebDAV servers are supported.

%description -l pl.UTF-8
sitecopy pozwala łatwo utrzymywać zdalne serwisy WWW. Program jednym
poleceniem w celu synchronizacji serwisu przesyła na serwer pliki,
które zostały zmienione lokalnie oraz usuwa z serwera pliki, które
zostały usunięte lokalnie. sitecopy opcjonalnie próbuje odnaleźć pliki
przeniesione lokalnie aby przenieść je także zdalnie. Obsługiwane są
serwery FTP i WebDAV.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	--with-ssl=openssl \
	--with-gssapi
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc BUGS ChangeLog README README.gnome TODO NEWS THANKS doc/update.sh
%attr(755,root,root) %{_bindir}/sitecopy
%{_mandir}/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%{_datadir}/sitecopy

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sitecopy.spec,v $
Revision 1.12  2010/04/21 17:09:36  megabajt
- updated to 0.16.6
- added -neon.patch (adds support for neon 0.29.x)
- new URL

Revision 1.11  2010/04/21 17:07:48  arekm
- release 4

Revision 1.10  2010/04/12 19:30:08  arekm
- release 3

Revision 1.9  2009/07/06 10:53:53  baggins
- rel 2
- corrected BRs and configure options

Revision 1.8  2007/10/12 16:21:43  qboosh
- BR: automake

Revision 1.7  2007/10/12 11:07:57  areq
- Release 1

Revision 1.6  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.4  2006/03/12 19:26:03  qboosh
- lang() for fr manual

Revision 1.3  2006/03/12 19:24:14  qboosh
- pl

Revision 1.2  2006/03/12 15:43:23  areq
- adaptarized

Revision 1.1  2006/03/12 15:41:50  areq
- init PLD spec
